
<template>
<section class="vh-100 gradient-custom">
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-12 col-md-8 col-lg-6 col-xl-5">
        <div class="card bg-dark text-white" style="border-radius: 1rem;">
          <div class="card-body p-5 text-center">

            <form @submit.prevent="handleLogin()">
            <div class="mb-md-5 mt-md-4 pb-5">

              <h2 class="text-white-50 text-uppercase">Login</h2>
              <p class="text-white-50 mb-5">Please enter your login and password!</p>

              <div data-mdb-input-init class="form-outline form-white mb-4">
                <input type="email"  class="form-control form-control-lg"  v-model="email"/>
                <label class="form-label" >Email</label>
              </div>

              <div data-mdb-input-init class="form-outline form-white mb-4">
                <input type="password"  class="form-control form-control-lg"  v-model="password" />
                <label class="form-label" >Password</label>
              </div>

            

              <button class="nice-button" type="submit">Login</button>


            </div>
           </form>

            <div>
              <p class="mb-0">Don't have an account? <router-link to="/signup" v-if="!auth.user">Sign Up</router-link>
              </p>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
</section>

    <!-- <form @submit.prevent="handleLogin()">
        <label>Email :
            <input type="email" v-model="email">
        </label>

        <label>Password :
            <input type="password" v-model="password">
        </label>
        <button>Login</button>
    </form> -->
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleLogin() {
    await auth.login(email.value, password.value);
    router.back();
}

</script>






